/******************************************************************************
*******************************************************************************
****	Copyright (c) 1997, 1998
****	Rockwell Semiconductor Systems
****	Personal Computing Division
****	All Rights Reserved
****
****	CONFIDENTIAL and PROPRIETARY --
****		No Dissemination or use without prior written permission.
****
*******************************************************************************
**
**MODULE NAME:
**	CardAL (Card Abstraction Layer)
**
**FILE NAME:
**	CardALTigris.h
**
**ABSTRACT:
**	Hide cardALDeviceThread
**
**DETAILS:
**
*******************************************************************************
** $Archive: /Projects/Tigris and Derivatives Linux/Reference Designs/Yukon-AV/Linux_2.4.3_ATM_Driver/KernelModule/CardALTigris.h $
** $Revision: 14 $
** $Date: 7/13/01 8:07a $
*******************************************************************************
******************************************************************************/
#ifndef _CARDALTIGRIS_H_
#define _CARDALTIGRIS_H_

#include "KThread.h"

#include "Common.h"

MODULAR KTHREAD_R cardALDeviceThread
(
	IN kthread_t *	pKernelThread
);
#endif		//#ifndef _CARDALTIGRIS_H_
