/******************************************************************************
*******************************************************************************
****	Copyright (c) 1997, 1998, 1999, 2000, 2001
****	Conexant Systems Inc. (formerly Rockwell Semiconductor Systems)
****	Personal Computing Division
****	All Rights Reserved
****
****	CONFIDENTIAL and PROPRIETARY --
****		No Dissemination or use without prior written permission.
****
*******************************************************************************
**
**MODULE NAME:
**	????
**
**FILE NAME:
**	CnxADSL.h
**
**ABSTRACT:
**
**DETAILS:
**
*******************************************************************************
** KEYWORDS:
**	$Archive: /Projects/Tigris and Derivatives Linux/Reference Designs/Tigris/Linux 2.4 ATM Driver/KernelModule/CnxADSL.h $
**	$Revision: 5 $
**	$Date: 2/28/01 11:10a $
*******************************************************************************
******************************************************************************/
#ifndef __CnxADSL_h__
#define __CnxADSL_h__

#include "CardMgmt.h"

///////////////////////////////////
// Common defines
///////////////////////////////////
#if 0
#define IN
#define OUT
#define INOUT
#endif

#define UCHAR unsigned char
#define USHORT unsigned short
#define UINT unsigned int
#define ULONG unsigned long
#define PVOID void*

/////////////////////////////////////////
// device identifiers
/////////////////////////////////////////

#define CNX_DEV_LABEL	"CnxAdsl"
#define DEV_LABEL CNX_DEV_LABEL

//////////////////////////////////////////////
// module  defines
//////////////////////////////////////////////
// keep the following enum and the method table in the same order
typedef enum {
  MODULE_TYPE_ARMAL=0,
  MODULE_TYPE_CARDMGMT,
  MODULE_TYPE_CARDAL,
  MODULE_TYPE_CoNDIS,
  MODULE_TYPE_BUFMGMT,
  MODULE_TYPE_FRAMEAL,
  MODULE_TYPE_CHIPAL
} MODULE_IDENTS;
#endif /*__CnxADSL_h__*/
